# -*- mode: rpm-spec-mode; encoding: utf-8 -*-
# vim: ft=spec noexpandtab
# Pass '--without docs' to rpmbuild if you don't want the documentation to be built

Name: 		cdimgtools
Summary: 	command line tools to inspect and manipulate CD image files
Version: 	0.1
Release: 	0.1%{?dist}
License: 	GPLv2
Group: 		Applications/Multimedia
Vendor: 	Géraud Meyer <graud@gmx.com>
Source: 	%{name}-%{version}.tar.gz
BuildArch:  noarch
%{!?_without_docs:BuildRequires: asciidoc > 6.0.3, perl-doc}
Requires: 	perl

%description
CDimgtools is a small set of command line tools to inspect and manipulate CD
(and possibly DVD) images of formats uncommon on Linux/UNIX systems.

You can print information about an image file and extract its tracks to files
in raw format, so that they can be used with common Linux/UNIX tools (for
playing audio, reading files, burning tracks or sessions to optical media
etc.).

You can also demultiplex RAW+96 image files containing both stream data (audio,
raw data or .iso format data) and sub-channel data of a given sector at
contiguous positions.

%prep
%setup -q

%build
%{__make} \
	prefix=%{_prefix} \
	all %{!?_without_docs: doc-man doc-html} %{?_without_docs: doc-txt}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix} bindir=%{_bindir} mandir=%{_mandir} \
	install %{!?_without_docs: install-doc-man}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/*
%doc README INSTALL BUGS COPYING
%{!?_without_docs: %{_mandir}/man1/*.1*}
%{!?_without_docs: %doc *.html}
%{?_without_docs:  %doc *.txt}

%changelog
* Sun Nov 18 2012 Géraud Meyer <graud@gmx.com>
- First packaging
